Bug 851158 - [xfs/xfsdump] The core.projid_hi is lost in dump/restore process
[xfs/xfsdump] The core.projid_hi is lost in dump/restore process
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xfsdump (Show other bugs)
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Eric Sandeen
BaseOS QE - Apps
Depends On:
Blocks: 860454
  Show dependency treegraph
Reported: 2012-08-23 07:42 EDT by Boris Ranto
Modified: 2013-02-25 08:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 860454 (view as bug list)
Last Closed: 2013-02-25 08:49:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The test script I used to find this. (1.31 KB, application/x-shellscript)
2012-08-23 07:42 EDT, Boris Ranto
no flags Details

  None (edit)
Description Boris Ranto 2012-08-23 07:42:04 EDT
Created attachment 606518 [details]
The test script I used to find this.

Description of problem:
When a projid32bit enabled xfs fs is dumped and then restored to a different location (again with the projid32bit functionality enabled), the core.projid_hi value is not copied to the new location resulting in incorrect 16bit project quota id.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create 32bit project quota enabled xfs filesystem
2. Dump the filesystem
3. Restore the filesystem, check the 32bit project quota id
Actual results:
The core.projid_hi is not copied resulting in 16bit project quota ids.

Expected results:
The dump and restore preserve the 32bit project quota ids.

Additional info:
The fact that the core.projid_hi is thrown away in dump/restore cycle was found by the examination of the original and restored fs with xfs_db. You just need to know the inode number of the project quota file:
xfs_db -c "inode <ino>" -c "print core.projid_lo" -c "print core.projid_hi" <device>
You can notice that the core.projid_hi is 0 in the restored filesystem.
Comment 1 Eric Sandeen 2012-08-27 14:50:55 EDT
Patch for this sent upstream, pending review:

Comment 4 Boris Ranto 2013-02-25 08:49:37 EST
This is actually fixed in current rhel7 xfsdump/xfsprogs/kernel packages.

Note You need to log in before you can comment on or make changes to this bug.